Subject: [mobile-ip] mobile authentication inconsistencies, continued

From: Pete McCann <[email-masked]>
Date: Mon, 12 May 2003 15:46:55 -0500

Hi, Ali,

My first question would be why are you using CHAP_SPI in co-located
mode?  Why not just pick another SPI and use the default algorithm?

If you do have a good reason for this, then I think your proposal
would work, but you need to make sure that the Challenge extension
containing rand-numberX also appears somewhere in the message.  I
don't think it would normally be there in co-located mode.

On your security question, I am not sure it is possible to gauge the
"cryptographic security" of a mechanism if you don't specify what is
being protected and from whom it is being protected.  From what you
say below, it sounds like the MN-AAA extension is not really serving
any useful purpose in the message (anti-replay is covered by the
Identification field, as you know) so the "security" of the scheme is
really not an issue, right?

-Pete

[email-masked] writes:
 > Hey Folks, and Pete in particular,
 > 
 > The following question seems to be remaining in some minds, regarding the
 > modifications suggested for 3012bis:
 > 
 > Currently, MN-AAA is calculated as follows:
 > 
 > (1)  MD5(MSB(FA-chal) + Secret-Key + MD5(MipMsgAbove) + LS237B(FA-chal))
 > 
 > Where "+" indicates concatenation.
 > 
 > For the sake of interoperability in co-located mode, when the challenge is
 > not present, say a mobile was to just pick a number, and subsititute it in
 > place of the FA-Challenge, and calculate the MN-AAA as:
 > 
 > (2)  MD5(MSB(rand-numberX) + Secret-Key + MD5(MipMsgAbove) +
 > LS237B(rand-numberX))
 > 
 > For those with expertise in crypto: Is this message digest calculated in
 > (2), cryptographically any less secure than the one calculated in (1)?
 > Please note that the question does not pertain to re-play protection, but
 > rather to the MD5 hash function itself. And also note that, the question is
 > strictly bound by the current application -- authentication of the
 > registration-request messages in Mobile-IP. Also, I am definitely not
 > asking why the FA-chal was included in the MN-AAA calculation originaly..
 > just trying to ascertain that the workaround I am suggesting in co-located
 > mode does not present a security issue.
 > 
 > looking forward to your comments,
 > ali

---

From: [email-masked]
Date: Mon, 12 May 2003 13:54:29 -0500